Announcement Unofficial Plugin Repo for 0.5 Sardaukar, 1.0 Kralizec, 2.0 Stoneburner, 3.0 Erasmus, 4.0 Arrakis

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • sebr wrote:

      See log here.
      armel isn't supported on OMV 3.x or OMV 4.x. That is why you don't see any plugins.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • bowe wrote:

      I cannot install the dependencies manually either. How shall I proceed?
      Looks like your system isn't up to date. What version of OMV?
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      bowe wrote:

      I cannot install the dependencies manually either. How shall I proceed?
      Looks like your system isn't up to date. What version of OMV?

      Source Code

      1. root@Lagerhuset:~# dpkg -l | grep openmediavault
      2. ii openmediavault 4.1.4-1 all openmediavault - The open network attached storage solution
      3. ii openmediavault-autoshutdown 4.0.3 all OpenMediaVault AutoShutdown Plugin
      4. ii openmediavault-deluge 3.2 all OpenMediaVault Deluged plugin
      5. ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      6. ii openmediavault-omvextrasorg 4.0.2 all OMV-Extras.org Package Repositories for OpenMediaVault
      7. ii openmediavault-resetperms 3.3 all Reset Permissions
      8. ii openmediavault-snapraid 3.7.3 all snapraid plugin for OpenMediaVault.
      9. ii openmediavault-unionfilesystems 4.0.1-1 all Union filesystems plugin for OpenMediaVault.
      10. root@Lagerhuset:~#
    • @ryecoaaron
      Here you go.

      Source Code

      1. root@Lagerhuset:~# apt-cache policy omvextras-common
      2. omvextras-common:
      3. Installed: (none)
      4. Candidate: 4.0.1
      5. Version table:
      6. 4.0.1 500
      7. 500 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 Packages
      8. 4.0.0 500
      9. 500 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 Packages
      10. 3.0.1 500
      11. 500 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 Packages
      Display All
    • @ryecoaaron
      I tried that before and the output is the same, not sure what's wrong.
      I cannot install the php-symfony-class-loader either.

      Source Code

      1. root@Lagerhuset:~# apt-get install omvextras-common
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. Some packages could not be installed. This may mean that you have
      6. requested an impossible situation or if you are using the unstable
      7. distribution that some required packages have not yet been created
      8. or been moved out of Incoming.
      9. The following information may help to resolve the situation:
      10. The following packages have unmet dependencies:
      11. omvextras-common : Depends: php-symfony-class-loader but it is not installable
      12. E: Unable to correct problems, you have held broken packages.
      13. root@Lagerhuset:~#
      Display All
    • bowe wrote:

      I tried that before and the output is the same, not sure what's wrong.
      Something is wrong with php. Did you install a different version or something? What is the output of dpkg -l | grep php
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • here is the output:

      Source Code

      1. root@Lagerhuset:~# dpkg -l | grep php
      2. ii php-bcmath 1:7.0+49 all Bcmath module for PHP [default]
      3. ii php-cgi 1:7.0+49 all server-side, HTML-embedded scripting language (CGI binary) (default)
      4. ii php-common 1:49 all Common files for PHP packages
      5. ii php-fpm 1:7.0+49 all server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
      6. ii php-mbstring 1:7.0+49 all MBSTRING module for PHP [default]
      7. ii php-pam 1.0.3-1 amd64 pam module for PHP 7
      8. ii php-xml 1:7.0+49 all DOM, SimpleXML, WDDX, XML, and XSL module for PHP [default]
      9. rc php5-cgi 5.6.30+dfsg-0+deb8u1 amd64 server-side, HTML-embedded scripting language (CGI binary)
      10. rc php5-cli 5.6.30+dfsg-0+deb8u1 amd64 command-line interpreter for the php5 scripting language
      11. rc php5-common 5.6.30+dfsg-0+deb8u1 amd64 Common files for packages built from the php5 source
      12. rc php5-fpm 5.6.30+dfsg-0+deb8u1 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary)
      13. rc php5-json 1.3.6-1 amd64 JSON module for php5
      14. rc php5-pam 1.0.3-4 amd64 pam module for PHP 5
      15. ii php7.0-bcmath 7.0.27-0+deb9u1 amd64 Bcmath module for PHP
      16. ii php7.0-cgi 7.0.27-0+deb9u1 amd64 server-side, HTML-embedded scripting language (CGI binary)
      17. ii php7.0-cli 7.0.27-0+deb9u1 amd64 command-line interpreter for the PHP scripting language
      18. ii php7.0-common 7.0.27-0+deb9u1 amd64 documentation, examples and common module for PHP
      19. ii php7.0-fpm 7.0.27-0+deb9u1 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary)
      20. ii php7.0-json 7.0.27-0+deb9u1 amd64 JSON module for PHP
      21. ii php7.0-mbstring 7.0.27-0+deb9u1 amd64 MBSTRING module for PHP
      22. ii php7.0-opcache 7.0.27-0+deb9u1 amd64 Zend OpCache module for PHP
      23. ii php7.0-readline 7.0.27-0+deb9u1 amd64 readline module for PHP
      24. ii php7.0-xml 7.0.27-0+deb9u1 amd64 DOM, SimpleXML, WDDX, XML, and XSL module for PHP
      25. root@Lagerhuset:~#
      Display All
    • Source Code

      1. root@Lagerhuset:~# omv-aptclean
      2. 1. Cleaning apt cache files...
      3. 2. Clearing available dpkg packages...
      4. 3. Removing apt lists...
      5. removed '/var/lib/apt/lists/_var_cache_openmediavault_archives_Packages'
      6. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis-docker_dists_stretch_Release'
      7. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis-docker_dists_stretch_Release.gpg'
      8. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis-docker_dists_stretch_main_binary-amd64_Packages'
      9. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis_dists_stretch_Release'
      10. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis_dists_stretch_Release.gpg'
      11. removed '/var/lib/apt/lists/dl.bintray.com_openmediavault-plugin-developers_arrakis_dists_stretch_main_binary-amd64_Packages'
      12. removed '/var/lib/apt/lists/download.docker.com_linux_debian_dists_stretch_InRelease'
      13. removed '/var/lib/apt/lists/download.docker.com_linux_debian_dists_stretch_stable_binary-amd64_Packages'
      14. removed '/var/lib/apt/lists/download.mono-project.com_repo_debian_dists_stretch_InRelease'
      15. removed '/var/lib/apt/lists/download.mono-project.com_repo_debian_dists_stretch_main_binary-amd64_Packages'
      16. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_InRelease'
      17. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_contrib_binary-amd64_Packages'
      18. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_contrib_i18n_Translation-en'
      19. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_main_binary-amd64_Packages'
      20. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_main_i18n_Translation-en'
      21. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_non-free_binary-amd64_Packages'
      22. removed '/var/lib/apt/lists/httpredir.debian.org_debian_dists_stretch-backports_non-free_i18n_Translation-en'
      23. removed '/var/lib/apt/lists/lock'
      24. removed '/var/lib/apt/lists/openmediavault.github.io_packages_dists_arrakis_InRelease'
      25. removed '/var/lib/apt/lists/openmediavault.github.io_packages_dists_arrakis_main_binary-amd64_Packages'
      26. removed '/var/lib/apt/lists/packages.openmediavault.org_public_dists_arrakis_InRelease'
      27. removed '/var/lib/apt/lists/packages.openmediavault.org_public_dists_arrakis_main_binary-amd64_Packages'
      28. removed directory '/var/lib/apt/lists/partial'
      29. 4. Purging internal cache ...
      30. 5. Removing OpenMediaVault cache packages...
      31. removed '/var/cache/openmediavault/archives/Packages'
      32. 6. Creating new OpenMediaVault packages file...
      33. 7. Updating apt...
      34. Get:1 file:/var/cache/openmediavault/archives InRelease
      35. Ign:1 file:/var/cache/openmediavault/archives InRelease
      36. Get:2 file:/var/cache/openmediavault/archives Release
      37. Ign:2 file:/var/cache/openmediavault/archives Release
      38. Get:3 file:/var/cache/openmediavault/archives Packages
      39. Ign:3 file:/var/cache/openmediavault/archives Packages
      40. Get:4 file:/var/cache/openmediavault/archives Translation-en
      41. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      42. Get:3 file:/var/cache/openmediavault/archives Packages
      43. Ign:3 file:/var/cache/openmediavault/archives Packages
      44. Get:4 file:/var/cache/openmediavault/archives Translation-en
      45. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      46. Get:3 file:/var/cache/openmediavault/archives Packages
      47. Ign:3 file:/var/cache/openmediavault/archives Packages
      48. Get:4 file:/var/cache/openmediavault/archives Translation-en
      49. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      50. Get:3 file:/var/cache/openmediavault/archives Packages
      51. Ign:3 file:/var/cache/openmediavault/archives Packages
      52. Get:4 file:/var/cache/openmediavault/archives Translation-en
      53. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      54. Get:3 file:/var/cache/openmediavault/archives Packages
      55. Ign:3 file:/var/cache/openmediavault/archives Packages
      56. Get:4 file:/var/cache/openmediavault/archives Translation-en
      57. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      58. Get:3 file:/var/cache/openmediavault/archives Packages
      59. Get:4 file:/var/cache/openmediavault/archives Translation-en
      60. Ign:4 file:/var/cache/openmediavault/archives Translation-en
      61. Get:5 http://download.mono-project.com/repo/debian stretch InRelease [5863 B]
      62. Get:6 http://packages.openmediavault.org/public arrakis InRelease [12.7 kB]
      63. Ign:7 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch InRelease
      64. Get:8 https://openmediavault.github.io/packages arrakis InRelease [12.7 kB]
      65. Get:9 https://download.docker.com/linux/debian stretch InRelease [39.1 kB]
      66. Get:10 http://download.mono-project.com/repo/debian stretch/main amd64 Packages [50.6 kB]
      67. Get:12 http://packages.openmediavault.org/public arrakis/main amd64 Packages [6468 B]
      68. Get:11 http://cdn-fastly.deb.debian.org/debian stretch-backports InRelease [91.8 kB]
      69. Get:13 https://openmediavault.github.io/packages arrakis/main amd64 Packages [6468 B]
      70. Ign:14 https://dl.bintray.com/openmediavault-plugin-developers/arrakis-docker stretch InRelease
      71. Get:15 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch Release [4389 B]
      72. Get:16 https://download.docker.com/linux/debian stretch/stable amd64 Packages [3500 B]
      73. Get:17 https://dl.bintray.com/openmediavault-plugin-developers/arrakis-docker stretch Release [3540 B]
      74. Get:18 http://cdn-fastly.deb.debian.org/debian stretch-backports/main amd64 Packages [304 kB]
      75. Get:19 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch Release.gpg [821 B]
      76. Get:20 https://dl.bintray.com/openmediavault-plugin-developers/arrakis-docker stretch Release.gpg [821 B]
      77. Get:21 http://cdn-fastly.deb.debian.org/debian stretch-backports/main Translation-en [209 kB]
      78. Get:22 https://dl.bintray.com/openmediavault-plugin-developers/arrakis stretch/main amd64 Packages [16.9 kB]
      79. Get:23 http://cdn-fastly.deb.debian.org/debian stretch-backports/contrib amd64 Packages [7100 B]
      80. Get:24 http://cdn-fastly.deb.debian.org/debian stretch-backports/contrib Translation-en [5770 B]
      81. Get:25 http://cdn-fastly.deb.debian.org/debian stretch-backports/non-free amd64 Packages [18.1 kB]
      82. Get:26 http://cdn-fastly.deb.debian.org/debian stretch-backports/non-free Translation-en [24.3 kB]
      83. Get:27 https://dl.bintray.com/openmediavault-plugin-developers/arrakis-docker stretch/main amd64 Packages [624 B]
      84. Fetched 824 kB in 0s (903 kB/s)
      85. Reading package lists... Done
      86. 8. Saving current package list...
      87. root@Lagerhuset:~#
      Display All
      @ryecoaaron here you go :)
    • bowe wrote:

      here you go
      That looks fine too ?( Do you still get the same error when trying to install omvextras-common? omv-aptclean does fix some things that might have been causing the problem.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • bowe wrote:

      Yea, just tried again. Same error
      What error do you get when you try to install php-symfony-class-loader?
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      bowe wrote:

      Yea, just tried again. Same error
      What error do you get when you try to install php-symfony-class-loader?
      Here's the output buddy.

      Source Code

      1. root@Lagerhuset:~# sudo apt-get install php-symfony-class-loader
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. Package php-symfony-class-loader is not available, but is referred to by another package.
      6. This may mean that the package is missing, has been obsoleted, or
      7. is only available from another source
      8. E: Package 'php-symfony-class-loader' has no installation candidate
      9. root@Lagerhuset:~# sudo apt-get install php-symfony-class-loader
      10. Reading package lists... Done
      11. Building dependency tree
      12. Reading state information... Done
      13. Package php-symfony-class-loader is not available, but is referred to by another package.
      14. This may mean that the package is missing, has been obsoleted, or
      15. is only available from another source
      16. E: Package 'php-symfony-class-loader' has no installation candidate
      Display All
    • bowe wrote:

      Here's the output
      Well, it is most definitely in the Debian repo - packages.debian.org/stretch/php-symfony-class-loader

      What is the output of: cat /etc/apt/sources.list
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • bowe wrote:

      This doesnt seems right.
      That does explain the problem though. You can add my sources to see if it fixes the system.

      deb http://cosmos.cites.illinois.edu/pub/debian/ stretch main contrib non-free
      deb http://security.debian.org/debian-security stretch/updates main contrib non-free
      deb http://cosmos.cites.illinois.edu/pub/debian/ stretch-updates main contrib non-free
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      That does explain the problem though. You can add my sources to see if it fixes the system.


      deb http://cosmos.cites.illinois.edu/pub/debian/ stretch main contrib non-free
      deb http://security.debian.org/debian-security stretch/updates main contrib non-free
      deb http://cosmos.cites.illinois.edu/pub/debian/ stretch-updates main contrib non-free
      Even more weird. - I wouldn't mind reinstall OMV, maybe that's the best option here.

      Source Code

      1. root@Lagerhuset:~# deb http://cosmos.cites.illinois.edu/pub/debian/ stretch main contrib non-free
      2. -bash: deb: command not found